<?php

use Illuminate\Support\Facades\Route;



Route::group(['domain' => env('APP_HOST'), 'prefix' => 'adminApi/user'],function (){
    Route::match(['get','post'],'list', 'UserController@getList')->name('adminApi.user.list');//获取后台账号列表
    Route::match(['get','post'],'info', 'UserController@getInfo')->name('adminApi.user.info');//获取详情
    Route::match(['get','post'],'save', 'UserController@save')->name('adminApi.user.save');//新增&编辑
    Route::match(['get','post'],'set_status', 'UserController@setStatus')->name('adminApi.user.set_status');//状态更新
    Route::match(['get','post'],'reset', 'UserController@resetPassword')->name('adminApi.user.reset');//重置密码
    Route::match(['get','post'],'destroys', 'UserController@destroys')->name('adminApi.user.destroys');//删除

});
