<?php

use Illuminate\Support\Facades\Route;



Route::group(['domain' => env('APP_HOST_WEB'), 'prefix' => 'user'],function (){
    Route::match(['get','post'],'cs', 'UserController@index')->name('user.index');
    Route::match(['get','post'],'wx_info', 'UserController@getWxInfo')->name('user.wx_info');//获取用户信息


    Route::match(['get','post'],'video', 'UserController@getVideo')->name('user.video');//获取视频信息
    Route::match(['get','post'],'record', 'UserController@setRecord')->name('user.record');//上报浏览数据

    Route::match(['get','post'],'send', 'UserController@sendSms')->name('user.send');//发送短信

    Route::match(['get','post'],'apply', 'UserController@setApply')->name('user.apply');//申请成为推广人
    Route::match(['get','post'],'sign_up', 'UserController@setSignUp')->name('user.sign_up');//报名

    Route::match(['get','post'],'js_key', 'UserController@getJsConfig')->name('user.js_key');//获取微信JS签名信息

});
