<?php


namespace App\Http\Controllers\AdminApi;


use App\Http\Controllers\AdminController;
use App\Servers\Common\CommonServer;

class CommonController extends AdminController
{

    /**
     * 获取阿里云临时权限
     * @return \Illuminate\Http\JsonResponse
     */
    function getAliSts()
    {
        $ret = CommonServer::creatServer()->getAliSts();
        if (empty($ret['code'])) {
            return $this->apiResponseError($ret['msg']);
        } else {
            return $this->apiResponseSuccess($ret['msg'], $ret['data']);
        }
    }
}
